import { LinearProgress } from "@mui/material";
import { useCreateAPIClient } from "./API";

export function APIProvider({ context, options, fallback, children }) {
  const { value: client, dataReady } = useCreateAPIClient(options);

  const Provider = (
    <context.Provider value={client}>{children}</context.Provider>
  );
  const Fallback = fallback ?? <LinearProgress sx={{ width: "100%" }} />;

  return dataReady ? Provider : Fallback;
}
