import { GitRefAutocomplete } from "../../../components/common/Git";

export default {
  title: "Common/GitRefAutocomplete"
};

const exampleOptions = [
  {
    reference: "V.1.0.0",
    short_reference: "d03bbc5s",
    description: "This is a TAG description",
    commit_date: "2024-01-11T12:24:13.000+00:00",
    type: "TAG"
  },
  {
    reference: "d03bbc5aaffb888f0fa567b05bb620d38f0f39ef",
    short_reference: "d03bbc5a",
    description: "Generated by CE template",
    commit_date: "2024-01-12T12:24:13.000+00:00",
    type: "COMMIT"
  },
  {
    reference: "d03bbc5aaffb888f0fa567b05bb620d38f0f3hjehw",
    short_reference: "d03bbhsa",
    description:
      "This is a very long commit description, This is a very long commit description, This is a very long commit description, This is a very long commit description, This is a very long commit description",
    commit_date: "2024-01-13T12:24:13.000+00:00",
    type: "COMMIT"
  },
  {
    reference: "V.2.0.0",
    short_reference: "d0ryfbc5s",
    description:
      "This is a very long tag description, This is a very long tag description, This is a very long tag description, This is a very long tag description, This is a very long tag description",
    commit_date: "2024-01-21T12:24:13.000+00:00",
    type: "TAG"
  },
  {
    reference: "V.2.0.1",
    short_reference: "d0ryfbc5i",
    description: "",
    commit_date: "2024-01-21T12:25:13.000+00:00",
    type: "TAG"
  }
];

const Template = ({ loading, options, disabled, ...props }) => {
  const onGitQueryValueSelect = (value) => {
    console.log({ onGitQueryValueSelect: value });
  };

  const onGitQueryStringChange = (value) => {
    console.log({ onGitQueryStringChange: value });
  };

  return (
    <GitRefAutocomplete
      id="test-gitrefautocomplete-story"
      label="Git Ref Autocomplete Example"
      loading={loading}
      options={options}
      disabled={disabled}
      onGitQueryValueSelect={(_, value) => onGitQueryValueSelect(value)}
      onGitQueryStringChange={(_, value) => onGitQueryStringChange(value)}
      {...props}
    />
  );
};

export const Default = (args) => <Template {...args} />;
Default.args = {
  options: exampleOptions,
  loading: false,
  disabled: false
};
